---
search:
  tags:
    - Product Types
    - PUT
seo:
  description: >-
    If no product type with this id exists for the account's seller, one is
    created… Reference for the PUT /product_types/{id} endpoint in the Bolder
    API v2.
sidebar:
  label: Update or upsert a product type
  badge: PUT
title: Update or upsert a product type
type: openapi-operation
---
If no product type with this `id` exists for the account's seller, one is created instead (upsert), returning 201.

`PUT /product_types/{id}`

**Request body** (`application/json`, required)

- `name` (string)
- `slug` (string)
- `cart_quantity_multiple` (integer)
- `unit_of_measure` (string)

Request body example:

```json
{
  "name": "Electronics Updated"
}
```

**Responses**

- `200` — Product type updated
- `201` — Product type did not exist — created instead
